PETSc version 3.17.4
Fix/Edit manual page

# DMPlexGetDepth

Get the depth of the DAG representing this mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDepth(DM dm, PetscInt *depth)

Not Collective

### Input Parameter

| dm | - The DMPlex object

### Output Parameter

| depth | - The number of strata (breadth first levels) in the DAG

### Notes

This returns maximum of point depths over all points, i.e. maximum value of the label returned by DMPlexGetDepthLabel(). The point depth is described more in detail in DMPlexGetDepthStratum(). An empty mesh gives -1.

### See Also

DMPlexGetDepthLabel(), DMPlexGetDepthStratum(), DMPlexGetPointDepth(), DMPlexSymmetrize()

### Level

developer

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages